Bug 587785 - snmpd mistakenly returns nocreation error
snmpd mistakenly returns nocreation error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 16:55 EDT by Orion Poplawski
Modified: 2011-07-21 08:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-04-30 16:55:41 EDT
Description of problem:

With a server running net-snmp-5.3.2.2-7.el5_4.2, snmpget 1.3.6.1.2.1.2.2.1.2.5 returns:

Error in packet
Reason: noCreation (That table does not support row creation or that object can not ever be created)
Failed object: IF-MIB::ifDescr.5

One running net-snmp-5.5-12.fc13.i686 returns:

IF-MIB::ifDescr.5 = No Such Instance currently exists at this OID

Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-7.el5_4.2
Comment 1 Jan Safranek 2010-05-04 08:15:33 EDT
Please note that Bugzilla is not a support tool. If you are Red Hat Enterprise Linux subscriber, please visit redhat.com/support to get the service you pay for. Bugs without support ticket have lower priority.

Anyway, this upstream patch seems to fix it:
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/agent/helpers/row_merge.c?r1=15537&r2=15536&pathrev=15537
Comment 2 Orion Poplawski 2010-05-04 16:57:06 EDT
I'm not a subscriber.  Thanks for posting the patch, that allows me to build local packages.

BTW - this bug is a palindrome.  Sorry, found that funny somehow.  Next will be 588885.
Comment 3 Orion Poplawski 2010-05-04 17:08:36 EDT
Just tested that patch, but it doesn't seem to fix the problem.
Comment 6 RHEL Product and Program Management 2011-01-11 15:34:25 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2011-01-11 18:08:00 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 11 errata-xmlrpc 2011-07-21 05:11:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html
Comment 12 errata-xmlrpc 2011-07-21 08:22:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Note You need to log in before you can comment on or make changes to this bug.